<?php

// {{{ requires
require_once CLASS_EX_REALDIR . 'page_extends/admin/LC_Page_Admin_Ex.php';

class LC_Page_Admin_Recommend_Line extends LC_Page_Admin_Ex {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init() {
        parent::init();
        $this->tpl_mainpage = 'design/recommend_line.tpl';
        $this->tpl_subno = 'recommend_line';
        $this->tpl_mainno = 'design';
        $masterData = new SC_DB_MasterData_Ex();
        $this->arrLine = $masterData->getMasterData('mtb_recommend_line');
        $this->tpl_maintitle = 'デザイン管理';
        $this->tpl_subtitle = 'PC＞おすすめ表示管理';
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        $this->action();
        $this->sendResponse();
    }

    /**
     * Page のアクション.
     *
     * @return void
     */
    function action() {
        $objDb = new SC_Helper_DB_Ex();

        $objFormParam = new SC_FormParam_Ex();
        $this->lfInitParam($objFormParam);
        $objFormParam->setParam($_POST);

        $cnt = $objDb->sfGetBasisCount();
        if ($cnt > 0) {
            $this->tpl_mode = 'update';
        } else {
            $this->tpl_mode = 'insert';
        }

        if(!empty($_POST)) {
            // 入力値の変換
            $objFormParam->convParam();
            $this->arrErr = $this->lfCheckError($objFormParam);

            if(count($this->arrErr) == 0) {
                switch($this->getMode()) {
                case 'update':
                    $this->lfUpdateData($objFormParam->getHashArray()); // 既存編集
                    break;
                case 'insert':
                    $this->lfInsertData($objFormParam->getHashArray()); // 新規作成
                    break;
                default:
                    break;
                }
                // 再表示
                $this->tpl_onload = "window.alert('おすすめ表示設定が完了しました。');";
            }
        } else {
            $arrCol = $objFormParam->getKeyList(); // キー名一覧を取得
            $col    = SC_Utils_Ex::sfGetCommaList($arrCol);
            $arrRet = $objDb->sfGetBasisData(true, $col);
            $objFormParam->setParam($arrRet);
        }
        $this->arrForm = $objFormParam->getFormParamList();
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }

    /* パラメーター情報の初期化 */
    function lfInitParam(&$objFormParam) {
        $objFormParam->addParam("おすすめ表示管理", "recommend_line", INT_LEN, 'n', array("MAX_LENGTH_CHECK"));
    }

    function lfUpdateData($sqlval) {
        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
        $objQuery =& SC_Query_Ex::getSingletonInstance();
        // UPDATEの実行
        $ret = $objQuery->update("dtb_baseinfo", $sqlval);
    }

    function lfInsertData($sqlval) {
        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
        $objQuery =& SC_Query_Ex::getSingletonInstance();
        // INSERTの実行
        $ret = $objQuery->insert("dtb_baseinfo", $sqlval);
    }

    /* 入力内容のチェック */
    function lfCheckError(&$objFormParam) {
        // 入力データを渡す。
        $arrRet =  $objFormParam->getHashArray();
        $objErr = new SC_CheckError_Ex($arrRet);
        $objErr->arrErr = $objFormParam->checkError();


        return $objErr->arrErr;
    }
}
?>
